# Class FTPReply

java.lang.Object
htsjdk.samtools.util.ftp.FTPReply

public class FTPReply extends Object

## Constructor Summary

Constructors
Constructor
Description
`FTPReply(BufferedReader inputStream)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
Gets server reply code from the control port after an ftp command has been executed.
`String`
`getReplyString()`
Gets server reply string from the control port after an ftp command has been executed.
`boolean`
`isPositiveCompletion()`
Determine if a reply code is a positive completion response.
`boolean`
`isPositiveIntermediate()`
Determine if a reply code is a positive intermediate response.
`boolean`
`isSuccess()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FTPReply

public FTPReply(BufferedReader inputStream) throws IOException

Throws:
  `IOException`

## Method Details

### getCode

public int getCode() throws IOException
Gets server reply code from the control port after an ftp command has been executed. It knows the last line of the response because it begins with a 3 digit number and a space, (a dash instead of a space would be a continuation).

Throws:
  `IOException`

### getReplyString

public String getReplyString() throws IOException
Gets server reply string from the control port after an ftp command has been executed. This consists only of the last line of the response, and only the part after the response code.

Throws:
  `IOException`

### isSuccess

public boolean isSuccess()

### isPositiveCompletion

public boolean isPositiveCompletion()
Determine if a reply code is a positive completion response. All codes beginning with a 2 are positive completion responses. The FTP server will send a positive completion response on the final successful completion of a command.

Returns:
  True if a reply code is a postive completion response, false if not. *

### isPositiveIntermediate

public boolean isPositiveIntermediate()
Determine if a reply code is a positive intermediate response. All codes beginning with a 3 are positive intermediate responses. The FTP server will send a positive intermediate response on the successful completion of one part of a multi-part sequence of commands. For example, after a successful USER command, a positive intermediate response will be sent to indicate that the server is ready for the PASS command.

Returns:
  True if a reply code is a postive intermediate response, false if not. *